Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.monte.media.ilbm
Class DRNGColorCycle.DIndexCell

    java.lang.Object
      org.monte.media.ilbm.DRNGColorCycle.Cell
          org.monte.media.ilbm.DRNGColorCycle.DIndexCell

All Implemented Interfaces:
  java.lang.Comparable<DRNGColorCycle.Cell>

Enclosing class:
  DRNGColorCycle

    public static class DRNGColorCycle.DIndexCell

extends DRNGColorCycle.Cell

Color register cell.

Field Summary

Fields inherited from class org.monte.media.ilbm.DRNGColorCycle.Cell
`cell, value`

Constructor Summary
`DRNGColorCycle.DIndexCell(int cell, int index)`

Method Summary
`void` | `readValue(int[] rgbs, boolean isHalfbright)` Sets the initial value of the cell from the rgb palette.
`void` | `writeValue(int[] rgbs, boolean isHalfbright)` Writes the final value of the cell into the color palette.

Methods inherited from class org.monte.media.ilbm.DRNGColorCycle.Cell
`compareTo, equals, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DRNGColorCycle.DIndexCell

    public DRNGColorCycle.DIndexCell(int cell,
                                     int index)

Method Detail

### readValue

    public void readValue(int[] rgbs,
                          boolean isHalfbright)

  Sets the initial value of the cell from the rgb palette.

  Specified by:
    `readValue` in class `DRNGColorCycle.Cell`
  Parameters:
    `rgbs` - the palette.
    `isHalfbright` - whether the halfbright value shall be taken.

### writeValue

    public void writeValue(int[] rgbs,
                           boolean isHalfbright)

  Writes the final value of the cell into the color palette.

  Specified by:
    `writeValue` in class `DRNGColorCycle.Cell`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD